//+------------------------------------------------------------------+
//|                                                     SELL_SET.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
int magic=327;
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
void start(){
  //GlobalVariablesDeleteAll();
  double lot;
  int tick;
  if(!GlobalVariableCheck("lot")){
    GlobalVariableSet("lot",0);
    Alert("     ");
    return;
  }else{
    if(GlobalVariableGet("lot")==0){
      Alert("     ");
      return;    
    }
    lot=GlobalVariableGet("lot");
    if(ObjectFind("order")!=0){
      Alert("  ");
      return;     
    }
  while(!IsStopped()&&tick==0){    
    double prise=NormalizeDouble(ObjectGet("order",OBJPROP_PRICE1),Digits);
    int stlw=MarketInfo(Symbol(),MODE_STOPLEVEL);
    int spr =MarketInfo(Symbol(),MODE_SPREAD);
    if(Ask-prise>stlw*Point){
      tick=OrderSend(Symbol(),2,lot,prise,spr,0,0,NULL,magic,0,Blue);
      if(tick<1){
        Print("    ",GetLastError());      
        Alert("    ",GetLastError());
        return;
      }else{PlaySound("expert.wav");}
    }else{
        RefreshRates();
        if(prise-Ask>=spr*Point*2){
          Alert("  ");
          return;
        }        
        if(prise-Ask>=0&&prise-Ask<spr*Point){
          tick=OrderSend(Symbol(),0,lot,prise,spr,0,0,NULL,magic,0,Blue);
          if(tick<1){
            Print("    ",GetLastError());      
            Alert("    ",GetLastError());
            return;
          }else{PlaySound("expert.wav");}          
        }
        Comment("SET_BUY  DISTANSE = ",DoubleToStr((Ask-prise)/Point,0));
        Sleep(200);
        Comment("");
      }
    }
  }
  
Comment("");
return;}
//+------------------------------------------------------------------+

